# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = "/home/m2sid/projects/APPROUVES PROGRAMMES/malariaspread_nocontact_daily/malariaspread"

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = "/home/m2sid/projects/APPROUVES PROGRAMMES/malariaspread_nocontact_daily/malariaspread/buildvle"

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	/usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	/usr/bin/cpack --config ./CPackSourceConfig.cmake /home/m2sid/projects/APPROUVES\ PROGRAMMES/malariaspread_nocontact_daily/malariaspread/buildvle/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start "/home/m2sid/projects/APPROUVES PROGRAMMES/malariaspread_nocontact_daily/malariaspread/buildvle/CMakeFiles" "/home/m2sid/projects/APPROUVES PROGRAMMES/malariaspread_nocontact_daily/malariaspread/buildvle/CMakeFiles/progress.marks"
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start "/home/m2sid/projects/APPROUVES PROGRAMMES/malariaspread_nocontact_daily/malariaspread/buildvle/CMakeFiles" 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named E12h

# Build rule for target.
E12h: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 E12h
.PHONY : E12h

# fast build rule for target.
E12h/fast:
	$(MAKE) -f src/CMakeFiles/E12h.dir/build.make src/CMakeFiles/E12h.dir/build
.PHONY : E12h/fast

#=============================================================================
# Target rules for targets named E1h

# Build rule for target.
E1h: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 E1h
.PHONY : E1h

# fast build rule for target.
E1h/fast:
	$(MAKE) -f src/CMakeFiles/E1h.dir/build.make src/CMakeFiles/E1h.dir/build
.PHONY : E1h/fast

#=============================================================================
# Target rules for targets named E1v

# Build rule for target.
E1v: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 E1v
.PHONY : E1v

# fast build rule for target.
E1v/fast:
	$(MAKE) -f src/CMakeFiles/E1v.dir/build.make src/CMakeFiles/E1v.dir/build
.PHONY : E1v/fast

#=============================================================================
# Target rules for targets named E21h

# Build rule for target.
E21h: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 E21h
.PHONY : E21h

# fast build rule for target.
E21h/fast:
	$(MAKE) -f src/CMakeFiles/E21h.dir/build.make src/CMakeFiles/E21h.dir/build
.PHONY : E21h/fast

#=============================================================================
# Target rules for targets named E2h

# Build rule for target.
E2h: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 E2h
.PHONY : E2h

# fast build rule for target.
E2h/fast:
	$(MAKE) -f src/CMakeFiles/E2h.dir/build.make src/CMakeFiles/E2h.dir/build
.PHONY : E2h/fast

#=============================================================================
# Target rules for targets named E2v

# Build rule for target.
E2v: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 E2v
.PHONY : E2v

# fast build rule for target.
E2v/fast:
	$(MAKE) -f src/CMakeFiles/E2v.dir/build.make src/CMakeFiles/E2v.dir/build
.PHONY : E2v/fast

#=============================================================================
# Target rules for targets named Hum1

# Build rule for target.
Hum1: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 Hum1
.PHONY : Hum1

# fast build rule for target.
Hum1/fast:
	$(MAKE) -f src/CMakeFiles/Hum1.dir/build.make src/CMakeFiles/Hum1.dir/build
.PHONY : Hum1/fast

#=============================================================================
# Target rules for targets named Hum2

# Build rule for target.
Hum2: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 Hum2
.PHONY : Hum2

# fast build rule for target.
Hum2/fast:
	$(MAKE) -f src/CMakeFiles/Hum2.dir/build.make src/CMakeFiles/Hum2.dir/build
.PHONY : Hum2/fast

#=============================================================================
# Target rules for targets named I12h

# Build rule for target.
I12h: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 I12h
.PHONY : I12h

# fast build rule for target.
I12h/fast:
	$(MAKE) -f src/CMakeFiles/I12h.dir/build.make src/CMakeFiles/I12h.dir/build
.PHONY : I12h/fast

#=============================================================================
# Target rules for targets named I1h

# Build rule for target.
I1h: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 I1h
.PHONY : I1h

# fast build rule for target.
I1h/fast:
	$(MAKE) -f src/CMakeFiles/I1h.dir/build.make src/CMakeFiles/I1h.dir/build
.PHONY : I1h/fast

#=============================================================================
# Target rules for targets named I1v

# Build rule for target.
I1v: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 I1v
.PHONY : I1v

# fast build rule for target.
I1v/fast:
	$(MAKE) -f src/CMakeFiles/I1v.dir/build.make src/CMakeFiles/I1v.dir/build
.PHONY : I1v/fast

#=============================================================================
# Target rules for targets named I21h

# Build rule for target.
I21h: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 I21h
.PHONY : I21h

# fast build rule for target.
I21h/fast:
	$(MAKE) -f src/CMakeFiles/I21h.dir/build.make src/CMakeFiles/I21h.dir/build
.PHONY : I21h/fast

#=============================================================================
# Target rules for targets named I2h

# Build rule for target.
I2h: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 I2h
.PHONY : I2h

# fast build rule for target.
I2h/fast:
	$(MAKE) -f src/CMakeFiles/I2h.dir/build.make src/CMakeFiles/I2h.dir/build
.PHONY : I2h/fast

#=============================================================================
# Target rules for targets named I2v

# Build rule for target.
I2v: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 I2v
.PHONY : I2v

# fast build rule for target.
I2v/fast:
	$(MAKE) -f src/CMakeFiles/I2v.dir/build.make src/CMakeFiles/I2v.dir/build
.PHONY : I2v/fast

#=============================================================================
# Target rules for targets named Meteo

# Build rule for target.
Meteo: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 Meteo
.PHONY : Meteo

# fast build rule for target.
Meteo/fast:
	$(MAKE) -f src/CMakeFiles/Meteo.dir/build.make src/CMakeFiles/Meteo.dir/build
.PHONY : Meteo/fast

#=============================================================================
# Target rules for targets named R12h

# Build rule for target.
R12h: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 R12h
.PHONY : R12h

# fast build rule for target.
R12h/fast:
	$(MAKE) -f src/CMakeFiles/R12h.dir/build.make src/CMakeFiles/R12h.dir/build
.PHONY : R12h/fast

#=============================================================================
# Target rules for targets named R1h

# Build rule for target.
R1h: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 R1h
.PHONY : R1h

# fast build rule for target.
R1h/fast:
	$(MAKE) -f src/CMakeFiles/R1h.dir/build.make src/CMakeFiles/R1h.dir/build
.PHONY : R1h/fast

#=============================================================================
# Target rules for targets named R21h

# Build rule for target.
R21h: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 R21h
.PHONY : R21h

# fast build rule for target.
R21h/fast:
	$(MAKE) -f src/CMakeFiles/R21h.dir/build.make src/CMakeFiles/R21h.dir/build
.PHONY : R21h/fast

#=============================================================================
# Target rules for targets named R2h

# Build rule for target.
R2h: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 R2h
.PHONY : R2h

# fast build rule for target.
R2h/fast:
	$(MAKE) -f src/CMakeFiles/R2h.dir/build.make src/CMakeFiles/R2h.dir/build
.PHONY : R2h/fast

#=============================================================================
# Target rules for targets named S12h

# Build rule for target.
S12h: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 S12h
.PHONY : S12h

# fast build rule for target.
S12h/fast:
	$(MAKE) -f src/CMakeFiles/S12h.dir/build.make src/CMakeFiles/S12h.dir/build
.PHONY : S12h/fast

#=============================================================================
# Target rules for targets named S1h

# Build rule for target.
S1h: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 S1h
.PHONY : S1h

# fast build rule for target.
S1h/fast:
	$(MAKE) -f src/CMakeFiles/S1h.dir/build.make src/CMakeFiles/S1h.dir/build
.PHONY : S1h/fast

#=============================================================================
# Target rules for targets named S1v

# Build rule for target.
S1v: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 S1v
.PHONY : S1v

# fast build rule for target.
S1v/fast:
	$(MAKE) -f src/CMakeFiles/S1v.dir/build.make src/CMakeFiles/S1v.dir/build
.PHONY : S1v/fast

#=============================================================================
# Target rules for targets named S21h

# Build rule for target.
S21h: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 S21h
.PHONY : S21h

# fast build rule for target.
S21h/fast:
	$(MAKE) -f src/CMakeFiles/S21h.dir/build.make src/CMakeFiles/S21h.dir/build
.PHONY : S21h/fast

#=============================================================================
# Target rules for targets named S2h

# Build rule for target.
S2h: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 S2h
.PHONY : S2h

# fast build rule for target.
S2h/fast:
	$(MAKE) -f src/CMakeFiles/S2h.dir/build.make src/CMakeFiles/S2h.dir/build
.PHONY : S2h/fast

#=============================================================================
# Target rules for targets named S2v

# Build rule for target.
S2v: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 S2v
.PHONY : S2v

# fast build rule for target.
S2v/fast:
	$(MAKE) -f src/CMakeFiles/S2v.dir/build.make src/CMakeFiles/S2v.dir/build
.PHONY : S2v/fast

#=============================================================================
# Target rules for targets named T1

# Build rule for target.
T1: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 T1
.PHONY : T1

# fast build rule for target.
T1/fast:
	$(MAKE) -f src/CMakeFiles/T1.dir/build.make src/CMakeFiles/T1.dir/build
.PHONY : T1/fast

#=============================================================================
# Target rules for targets named T2

# Build rule for target.
T2: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 T2
.PHONY : T2

# fast build rule for target.
T2/fast:
	$(MAKE) -f src/CMakeFiles/T2.dir/build.make src/CMakeFiles/T2.dir/build
.PHONY : T2/fast

#=============================================================================
# Target rules for targets named test_template

# Build rule for target.
test_template: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 test_template
.PHONY : test_template

# fast build rule for target.
test_template/fast:
	$(MAKE) -f test/CMakeFiles/test_template.dir/build.make test/CMakeFiles/test_template.dir/build
.PHONY : test_template/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... E12h"
	@echo "... E1h"
	@echo "... E1v"
	@echo "... E21h"
	@echo "... E2h"
	@echo "... E2v"
	@echo "... Hum1"
	@echo "... Hum2"
	@echo "... I12h"
	@echo "... I1h"
	@echo "... I1v"
	@echo "... I21h"
	@echo "... I2h"
	@echo "... I2v"
	@echo "... Meteo"
	@echo "... R12h"
	@echo "... R1h"
	@echo "... R21h"
	@echo "... R2h"
	@echo "... S12h"
	@echo "... S1h"
	@echo "... S1v"
	@echo "... S21h"
	@echo "... S2h"
	@echo "... S2v"
	@echo "... T1"
	@echo "... T2"
	@echo "... test_template"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

